/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
;* File Name           : COMMON.H
;* Author              : MASSES  CHIP
;* Version             : V1.00
;* Date                : 2019/09/01
;********************************************************************************
;
;所有C文件的公用申明
;
;*******************************************************************************/
//===============================================================================
//***********************所有C文件的公用申明*************************************
//===============================================================================
#ifndef __COMMON_H__
#define __COMMON_H__

#include "M8P632.h"
#include "MassesChip_Define.h"


//**************************************************************************
//=======================函数申明===========================================
//**************************************************************************
//=============================================================
//系统中断初始化
//=============================================================
void  SYSTEM_INIT(void);

//=============================================================
//寄存器清零
//=============================================================
void  Clr_RAM_00H_FFH(void);

//=============================================================
//ADC初始化
//=============================================================
void  ADC_INIT(void);

//=============================================================
//ADC转换数据
//=============================================================
void  ADCSampling12Bit(uchar Num);

//=============================================================
//ADC转换平均值
//=============================================================
void  ADC_DATA_Real(void);


#endif
/*********************************END OF FILE************************************/
/*******************(C) COPYRIGHT 2018 Masses-Chip ******************************/   
