/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
* File Name          : I2C_SLAVE.C
* Author             : MASSES CHIP
* Version            : V1.00
* Date               : 2019/09/01
********************************************************************************/
/********************************************************************************
*
*主机读写数据
*
*********************************************************************************/
#include "common.h"
unsigned  char   I2CData;             
unsigned  char   R_SlaveBuffAddr;    	//数据缓存数据地址
ob8 I2CFlag;
#define  FirstByte  I2CFlag.b0 

//===============================================================================
//******************************** 主机读数据 ***********************************
//===============================================================================
void  I2CMasterRead(void)
{  
	if(NACK==1)					
    {
		R_SlaveBuffAddr--;				//写入I2CBUF，缓冲区地址 -1（上次写入缓冲区的数 据未发送）
		I2CBUF = INDF0;
	}
	else
	{	
		FSR0=R_SlaveBuffAddr;
		I2CBUF=INDF0;			
		R_SlaveBuffAddr++;				//读取缓冲区数据，写入 I2CBUF，缓冲区地址+1
	}		
}

//===============================================================================
//*********************************主机写数据************************************
//===============================================================================
void  I2CMasterWrite(void)
{  	

	if(D_A==0)
    {	
		I2CData=I2CBUF;		  			//读取I2CBUF
		FirstByte=1;
	}
	else
	{	
		if(FirstByte==1)         		//软件设标志判断FirstData
		{
			R_SlaveBuffAddr=I2CBUF;		//读取I2CBUF，写入缓冲区地址寄存器
			FirstByte = 0;
		}
		else
		{
			FSR0=R_SlaveBuffAddr;	
			INDF0=I2CBUF;				//读取I2CBUF，写入缓冲区，缓冲区地址+1
			R_SlaveBuffAddr++;
		}
    }	
}

/*********************************END OF FILE************************************/ 
