;*******************(C) COPYRIGHT 2019 Masses-Chip *******************************
;* File Name          : IOB_INTERRUPT_INIT.INC
;* Author             : MASSES  CHIP
;* Version            : V1.00
;* Date               : 2019/09/01
;*********************************************************************************
;*********************************************************************************
;
;IOB中断初始化
;
;*********************************************************************************
IOB_INTERRUPT_INIT:
;//----------------------------------------------------
;//以IOB0口为例
;//1、端口设置
		BSET	   PUB,0			;//IOB0端口设置为上拉
		BCLR	   OEB,0			;//IOB0端口设置为输入	
;//----------------------------------------------------   
;//2、中断使能	
		; ;//Bit 3 INT1IE:
		; ;//1 = 使能外部中断1
		; ;//0 = 屏蔽外部中断1
		; ;//Bit 2 INT0IE:
		; ;//1 = 使能外部中断0
		; ;//0 = 屏蔽外部中断0
		; ;//Bit 1 IOCCHIE:
		; ;//1 = 使能端口变化中断
		; ;//0 = 屏蔽端口变化中断
		; ;//Bit 0 IOBCHIE:
		; ;//1 = 使能端口变化中断
		; ;//0 = 屏蔽端口变化中断
		BSET      INTCR1,IOBCHIE		
		BCLR	  INTF1,IOBCHIF
		BSET	  IOBICR,0  		;//IOB变化中断使能
		BSET	  OPTION,GIE      	;//总中断使能
		RETURN
;*********************************END OF FILE********************************** 