/*******************(C) COPYRIGHT 2019 Masses-Chip ****************************
;* File Name          : IOC_INTERRUPT_INIT.C
;* Author             : MASSES  CHIP
;* Version            : V1.00
;* Date               : 2019/09/01
;******************************************************************************
;******************************************************************************
;
;IOC中断初始化
;
;******************************************************************************/
#include "COMMON.H"
//******************************************************************************
//==============================IOC中断初始化===================================
//******************************************************************************
void IOC_INTERRUPT_INIT(void)
{
//----------------------------------------------------
//以IOC0口为例
//1、端口设置
	PUC0=1;			//IOC0端口设置为上拉
	OEC0=0;			//IOC0端口设置为输入
	
//---------------------------------------------------- 	
//2、中断使能
	//Bit 3 INT1IE:
	//1 = 使能外部中断1
	//0 = 屏蔽外部中断1
	//Bit 2 INT0IE:
	//1 = 使能外部中断0
	//0 = 屏蔽外部中断0
	//Bit 1 IOCCHIE:
	//1 = 使能端口变化中断
	//0 = 屏蔽端口变化中断
	//Bit 0 IOBCHIE:
	//1 = 使能端口变化中断
	//0 = 屏蔽端口变化中断	
	IOCCHIE=1;
	IOCCHIF=0;
	IOCICR=1;		//使能IOC变化中断
	GIE=1;			//使能总中断
}

/*********************************END OF FILE************************************/  
