;*******************(C) COPYRIGHT 2019 Masses-Chip ****************************
;* Project Name       : M8P632 OPA Demo
;* File Name          : M8P632_OPA.ASM
;* Author             : MASSES  CHIP
;* Version            : V1.00
;* Date               : 2019/09/01
;* Web    			  : www.masses-chip.com
;* FAE                : Luo
;  				 	  : QQ：411680975
;******************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, BOR 2.4V, 
;
;******************************************************************************
     LIST P=M8P632                       ;define mcu type
#INCLUDE M8P632.INC
	udata		h'01'
DelayCnt	res		1
;******************************************************************************
;==============================CODE============================================
;******************************************************************************	
       ORG       0000H
       GOTO      MainProgram
       ORG       0008H                                                        
	   ;//GOTO      Interrupt
	 
;******************************************************************************
;==============================中断处理程序====================================
;=====================没有使能的中断不要判断中断标志位=========================
;******************************************************************************			
Interrupt:
       PUSH        						;//进栈、保存A、STATUS
			
;//中断处理程序	
	   NOP		
			
Interrupt_End:	
       POP                        		;//出栈、恢复A、STATUS			
	   RETIE
			
;******************************************************************************
;==============================主程序==========================================
;******************************************************************************			
;//---------------------------程序初始化---------------------------------------	

MainProgram:
       CALL      SYSTEM_INIT	 		;//系统初始化
	   CALL      Clr_RAM_00H_FFH	    ;//清零RAM
	   CALL      OPA_INIT				;//OPA初始化
;//----------------------------主函数循环--------------------------------------
Main_Loop: 
	   CLRWDT							;//清除看门狗	
	   GOTO      Main_Loop
	   

;******************************************************************************
;================================ 系统初始化 ==================================
;******************************************************************************
#INCLUDE	SYSTEM_INIT.INC			
;******************************************************************************
;================================ OPA初始化====================================
;******************************************************************************
#INCLUDE	OPA_INIT.INC		
					


		END
;*********************************END OF FILE**********************************