/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
* Project Name       : M8P632_TC2G Demo
* File Name          : M8P632_TC2G.C
* Author             : MASSES CHIP
* Version            : V1.00
* Date               : 2019/09/01
;* Web    	     	 : www.masses-chip.com
;* FAE               : Luo
;  		     		 : QQ:411680975
********************************************************************************
*
*Option:16M/16T,WDT-Enable-288ms,RST-IO,BOR 2.4V 
*
*******************************************************************************/
#include "Common.h"
//============================RAM================================================
ob8 Flag;
#define 	B_TC2G_Flag  		Flag.b0 
//===============================================================================
//********************************程序主函数*************************************
//===============================================================================
void main(void)					  		//程序主函数
{
	System_Init();                		//系统初始化
	Clr_RAM_00H_FFH();            		//清零RAM
	TC2G_Init();                   		//TC2G初始化	
	while(1)
	{
		if(B_TC2G_Flag )
		{ 
			B_TC2G_Flag  = 0;		  	//设置定时器标志
			IOA = ~IOA;
			__CLRWDT();					//清除看门狗
		}
	}
}
//===============================================================================
//******************************中断服务子程序***********************************
//=====================注：没有使能的中断不要判断中断标志位======================
//===============================================================================
void int_isr(void) __interrupt	 		//中断处理函数
{
	__PUSH();                    		//进栈（保存A, STATUS）	
	if(TC2GIF)				 			//产生TC2GIF溢出中断
	{
		TC2GIF = 0;			 			//中断标志位清零
		B_TC2G_Flag  = 1;
		TC2GO = 1;			 			//设置定时器标志
	}
	__POP();                     		//出栈（恢复A, STATUS）
}
/*********************************END OF FILE************************************/