;*******************(C) COPYRIGHT 2019 Masses-Chip ****************************
;* Project Name       : M8P632 ADC Demo
;* File Name          : M8P632_ADC.ASM
;* Author             : MASSES  CHIP
;* Version            : V1.00
;* Date               : 2019/09/01
;* Web    			  : www.masses-chip.com
;* FAE                : Luo
;  				 	  : QQ：411680975
;******************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, BOR 2.4V, 
;
;******************************************************************************
     LIST P=M8P632                       
#INCLUDE M8P632.INC
;******************************************************************************
;//定义变量
		udata		h'09'
ADC_MAX_DATAH			res		1          	;//最大数据高位
ADC_MAX_DATAL			res		1          	;//最大数据低位
ADC_MIN_DATAH			res		1         	;//最小数据高位
ADC_MIN_DATAL			res		1         	;//最小数据低位
ADC_DATA_SUM_L			res		1         	;//数据求和低位
ADC_DATA_SUM_H			res		1          	;//数据求和高位
R_Count					res		1			;//取值次数
ADCCHNum				res		1			;//通道选择
;******************************************************************************
;==============================CODE============================================
;******************************************************************************	
       ORG       0000H
       GOTO      MainProgram
       ORG       0008H                                                        
	   ;//GOTO      Interrupt
	 
;******************************************************************************
;==============================中断处理程序====================================
;=====================注：没有使能的中断不要判断中断标志位=====================
;******************************************************************************			
Interrupt:
       PUSH        						;//进栈、保存A、STATUS
			
;//中断处理程序	
	   NOP		
			
Interrupt_End:	
       POP                        		;//出栈、恢复A、STATUS			
	   RETIE
			
;******************************************************************************
;==============================主程序==========================================
;******************************************************************************			
;//---------------------------程序初始化---------------------------------------	
MainProgram:
       CALL      SYSTEM_INIT	 		;//系统初始化
	   CALL      Clr_RAM_00H_FFH	    ;//清零RAM
	   CALL      ADC_Init				;//ADC初始化
;//----------------------------主函数循环--------------------------------------
Main_Loop:
	   CALL      ADC_DATA_Deal			;//数据处理函数 
	   CLRWDT							;//清除看门狗
	   GOTO      Main_Loop



;******************************************************************************
;================================ 系统初始化 ==================================
;******************************************************************************
#INCLUDE	SYSTEM_INIT.INC			
;******************************************************************************
;================================ ADC初始化====================================
;******************************************************************************
#INCLUDE	ADC_INIT.INC		
;******************************************************************************
;================================ 数据处理函数 ================================
;******************************************************************************
#INCLUDE	ADC_WORK.INC					


			END
;*********************************END OF FILE**********************************