/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
;* Project Name       : M8P632 ADC Demo
;* File Name          : M8P632_ADC.C
;* Author             : MASSES  CHIP
;* Version            : V1.00
;* Date               : 2019/09/01
;* Web    			  : www.masses-chip.com
;* FAE                : Luo
;  				 	  : QQ：411680975
;***************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, BOR 2.4V, 
;
********************************************************************************/

#include"common.h"

//===============================================================================
//**********************************程序主函数***********************************
//===============================================================================
void  main(void)
{  
	SYSTEM_INIT();			 //系统初始化
	ADC_INIT();				 //ADC初始化
	Clr_RAM_00H_FFH();		 //RAM清零
	while(1)	
	{			
		ADC_DATA_Real();	 //取十次ADC转换的值，将最大值和最小值去除之后，再求出平均值得到的值
		__CLRWDT();			 //清除看门狗		
	}
}


//===============================================================================
//*********************************中断处理程序**********************************
//********************注：没有使能的中断不要判断中断标志位***********************
//===============================================================================
void int_isr(void) __interrupt	 
{
	__PUSH();           	//进栈、保存A、STATUS
	
//中断处理函数
	__NOP();
	
	__POP();                //出栈、恢复A、STATUS
}

/*********************************END OF FILE************************************/ 