/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
* Project  Name      : M8P632 OPA Demo
* File Name          : M8P632_OPA.C
* Author             : MASSES CHIP
* Version            : V1.00
* Date               : 2019/09/01
* Web    			 : www.masses-chip.com
* FAE                : Luo
*					 : QQ：411680975
********************************************************************************/
/*******************************************************************************
* 
*Option: 16M/16T, WDT-Enable-288ms, RST-IO ,BOR 2.4V
*
********************************************************************************/

#include"common.h"
//===============================================================================
//**********************************程序主函数***********************************
//===============================================================================
void  main(void)                   	 	//程序主函数
{  
    SYSTEM_INIT();					 	//系统初始化
	Clr_RAM_00H_FFH();					//RAM清零
	OPA_INIT();					   		//OPA初始化
	while(1)	
	{		
		__CLRWDT();						//清除看门狗	
	}
}

//===============================================================================
//*********************************中断处理程序**********************************
//**********************注：没有使能的中断不要判断中断标志位*********************
//===============================================================================
void  int_isr(void) __interrupt
{  
    
    __PUSH();            				//压栈、保存A、STATUS
	
	__NOP();
	__NOP();
    __POP();        					//出栈、恢复A、STATUS	
    
   
}


/*********************************END OF FILE************************************/ 


